Package: yc-el / 5.0.0-8

Metadata

Package Version Patches format
yc-el 5.0.0-8 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
new upstream 5.0.0 | (download)

ChangeLog | 706 706 + 0 - 0 !
INSTALL | 22 22 + 0 - 0 !
KEY-BINDINGS | 125 125 + 0 - 0 !
Makefile | 86 86 + 0 - 0 !
icanna.c | 104 104 + 0 - 0 !
yc.el | 4119 4119 + 0 - 0 !
yc.html | 635 635 + 0 - 0 !
7 files changed, 5797 insertions(+)

 upstream changes introduced in version 5.0.0-1
 This patch included ONO-san's patch. (Kanji does not encrypted.
 -- Some Japanese say moji-bake) same as 5.2.0 which is upstream
 I,Yukiharu YABUKI, don't want to drop support XEmacs. I do not
 accept new upstram simply. I mixed new upstream and old code which
 is icanna.
 .
 yc-el (5.0.0-1) unstable; urgency=low
 .
   [ Yukiharu YABUKI ]
   * New Upstream
   * Removed Dependency of Emacs 22 (closes: #577468)
   * Added Dependency of Emacs 23
   * Adapting for Emacs 23 (Thanks Kouichi ONO-san)
   * Converted to source format version 3
 .
 The person named in the Author field signed this changelog entry.
hardening | (download)

Makefile | 8 6 + 2 - 0 !
1 file changed, 6 insertions(+), 2 deletions(-)

 apply hardening
 This program contain icanna which is C program. icanna should be hardening
 .
 yc-el (5.0.0-2) unstable; urgency=low
 .
   [ Yukiharu YABUKI ]
   * remove lintian warnning
workaround when kill emacs | (download)

yc-5.0.0.el | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

 bug work around, when emacs killed
 This patch is same modified as 5.2.0 -> 5.2.1.
 This patch came from upstream's modification.
 .
emacs25 related | (download)

Makefile | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 yc-el (5.0.0-7) unstable; urgency=medium
 .
   * Add Dependency emacs25 (closes: #852100)
   * dbgsym package
   * added debug compile option
remove 'privacy breach statistics website' code | (download)

yc.html | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 remove insecure html code
 .
 yc-el (5.0.0-8) unstable; urgency=low
 .
   * Fix 'privacy-breach-statistics-website'
   * bump up standard-version.